# Uses of Class
com.ngrok.definitions.WeightedBackend

Packages that use WeightedBackend
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of WeightedBackend in com.ngrok.definitions

  Methods in com.ngrok.definitions that return types with arguments of type WeightedBackend
  Modifier and Type
  Method
  Description
  `List<WeightedBackend>`
  WeightedBackendList.`getBackends()`
  the list of all Weighted backends on this account
  Constructor parameters in com.ngrok.definitions with type arguments of type WeightedBackend
  Modifier
  Constructor
  Description
  ``
  `WeightedBackendList(List<WeightedBackend> backends, URI uri, Optional<URI> nextPageUri)`
  Creates a new instance of `WeightedBackendList`.

- ## Uses of WeightedBackend in com.ngrok.services

  Methods in com.ngrok.services that return WeightedBackend
  Modifier and Type
  Method
  Description
  `WeightedBackend`
  WeightedBackends.CreateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `WeightedBackend`
  WeightedBackends.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `WeightedBackend`
  WeightedBackends.UpdateCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type WeightedBackend
  Modifier and Type
  Method
  Description
  `CompletionStage<WeightedBackend>`
  WeightedBackends.CreateCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<WeightedBackend>`
  WeightedBackends.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<WeightedBackend>`
  WeightedBackends.UpdateCallBuilder.`call()`
  Initiates the API call asynchronously.